Download it now!
Bug 103235 - Notebookbar background color shouldnt be menu bar color
Summary: Notebookbar background color shouldnt be menu bar color
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: UI-Theming Notebookbar-Theming
  Show dependency treegraph
 
Reported: 2016-10-15 10:46 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-18 13:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
incorrect color shown in all 3 implementations (clearlooks theme) (103.10 KB, image/png)
2016-10-25 20:44 UTC, Yousuf Philips (jay) (retired)
Details
see use of firefox themes (100.69 KB, image/png)
2017-03-03 22:22 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-15 10:46:37 UTC
The background color used on the Notebookbar, clearly seen in contextual groups and contextual single, incorrectly used the menu bar background color and this will have problems with various themes.
Comment 1 Yousuf Philips (jay) (retired) 2016-10-25 20:44:44 UTC
Created attachment 128269 [details]
incorrect color shown in all 3 implementations (clearlooks theme)
Comment 2 Buovjaga 2016-11-11 20:52:36 UTC
Confirmed with SAL_USE_VCLPLUGIN=gtk3 and breeze-gtk

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha1+
Build ID: 553cfda502a1516673233e409f91372766da6c4d
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 11th 2016
Comment 3 Volga 2016-11-19 15:39:19 UTC
Notebookbar should share background with toolbar modes.
Comment 4 andreas_k 2017-03-03 22:22:24 UTC
Created attachment 131620 [details]
see use of firefox themes

ALL notebook toolbars use a background color instead of the image of the firefox theme.
Comment 5 Commit Notification 2017-03-16 07:48:44 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b7d751ad4f950aae0641a75b2ea993025629c9d

tdf#103235 Notebookbar: use persona theme

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 andreas_k 2017-04-10 23:55:34 UTC
thanks a lot you are awesome. for me the bug if fixed.